al_make_path_canonical(3)

NAME

al_make_path_canonical - Allegro 5 API

SYNOPSIS

    #include <allegro5/allegro.h>
    bool al_make_path_canonical(ALLEGRO_PATH *path)

DESCRIPTION

Removes any leading '..' directory components in absolute paths. Removes all '.' directory components.

Note that this does not collapse "x/../y" sections into "y". This is by design. If "/foo" on your system is a symlink to "/bar/baz", then "/foo/../quux" is actually "/bar/quux", not "/quux" as a naive removal of ".." components would give you.